Package org.eclipse.jface.action

## Interface IMenuListener2

All Superinterfaces:
  `IMenuListener`

    public interface IMenuListener2
    extends IMenuListener

A menu listener that gets informed when a menu is about to hide.

Since:
  3.2
See Also:
  `MenuManager.addMenuListener(org.eclipse.jface.action.IMenuListener)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `menuAboutToHide​(IMenuManager manager)` Notifies this listener that the menu is about to be hidden by the given menu manager.

### Methods inherited from interface org.eclipse.jface.action.IMenuListener

`menuAboutToShow`

### Method Detail

#### menuAboutToHide

    void menuAboutToHide​(IMenuManager manager)

Notifies this listener that the menu is about to be hidden by the given menu manager.

Parameters:
  `manager` - the menu manager